org.jboss.jca.embedded.dsl.datasources10.api

## Interface ExtensionType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface ExtensionType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `extensionType` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExtensionType<T>` | `className(java.lang.String className)` Sets the `class-name` attribute
    `ConfigPropertyType<ExtensionType<T>>` | `createConfigProperty()` Creates a new `config-property` element
    `java.util.List<ConfigPropertyType<ExtensionType<T>>>` | `getAllConfigProperty()` Returns all `config-property` elements
    `java.lang.String` | `getClassName()` Returns the `class-name` attribute
    `ConfigPropertyType<ExtensionType<T>>` | `getOrCreateConfigProperty()` If not already created, a new `config-property` element will be created and returned.
    `ExtensionType<T>` | `removeAllConfigProperty()` Removes all `config-property` elements
    `ExtensionType<T>` | `removeClassName()` Removes the `class-name` attribute

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### getOrCreateConfigProperty

          ConfigPropertyType<ExtensionType<T>> getOrCreateConfigProperty()

      If not already created, a new `config-property` element will be created and returned. Otherwise, the first existing `config-property` element will be returned.
      Returns:
        the instance defined for the element `config-property`

    - #### createConfigProperty

          ConfigPropertyType<ExtensionType<T>> createConfigProperty()

      Creates a new `config-property` element
      Returns:
        the new created instance of `ConfigPropertyType>`

    - #### getAllConfigProperty

          java.util.List<ConfigPropertyType<ExtensionType<T>>> getAllConfigProperty()

      Returns all `config-property` elements
      Returns:
        list of `config-property`

    - #### removeAllConfigProperty

          ExtensionType<T> removeAllConfigProperty()

      Removes all `config-property` elements
      Returns:
        the current instance of `ConfigPropertyType>`

    - #### className

          ExtensionType<T> className(java.lang.String className)

      Sets the `class-name` attribute
      Parameters:
        `className` - the value for the attribute `class-name`
      Returns:
        the current instance of `ExtensionType`

    - #### getClassName

          java.lang.String getClassName()

      Returns the `class-name` attribute
      Returns:
        the value defined for the attribute `class-name`

    - #### removeClassName

          ExtensionType<T> removeClassName()

      Removes the `class-name` attribute
      Returns:
        the current instance of `ExtensionType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)